Что нового в Firefox 21 для Windows, Mac и Linux:


 
Внимание! Следующие папки и файлы в каталоге установленного Firefox поменяли своё расположение по умолчанию:

    defaults/preferences -> browser/defaults/preferences
    defaults/profile -> browser/defaults/profile
    extensions -> browser/extensions
    plugins -> browser/plugins
    searchplugins -> browser/searchplugins
    override.ini -> browser/override.ini

Если у вас пропали плагины или расширения, вы можете перенести их в свои новые папки. В качестве альтернативы для загрузки плагинов из старой папки вы можете открыть страницу about:config и установить параметр plugins.load_appdir_plugins в true.


Загрузить:

    • Русская версия:
        http://www.mozilla.com/img/ico-win.png Windows (32-bit)
        http://www.mozilla.com/img/ico-osx-uni.png Mac OS X (32-bit/64-bit)
        http://www.mozilla.com/img/ico-tux.png Linux (32-bit)
        http://www.mozilla.com/img/ico-tux.png Linux (64-bit)

    • Английская версия:
        http://www.mozilla.com/img/ico-win.png Windows (32-bit)
        http://www.mozilla.com/img/ico-osx-uni.png Mac OS X (32-bit/64-bit)
        http://www.mozilla.com/img/ico-tux.png Linux (32-bit)
        http://www.mozilla.com/img/ico-tux.png Linux (64-bit)

    • Другие языки


Что нового в Firefox 21 для разработчиков
Примечания к выпуску для Windows, Mac and Linux
Пост на сайте OpenNews

После обновления до 21-й версии из списка плагинов пропал Windows Media Player Firefox Plugin.
Не то чтобы он был сильно нужен, просто неприятно, что он ушёл не попращавшись.
У кого тоже установлен этот плагин - проверьте, пожалуйста, как у Вас.

Он там, вроде, и не нужен теперь.

Tsepesh пишет:

После обновления до 21-й версии из списка плагинов пропал Windows Media Player Firefox Plugin.
Не то чтобы он был сильно нужен, просто неприятно, что он ушёл не попращавшись.
У кого тоже установлен этот плагин - проверьте, пожалуйста, как у Вас.

Да, пропал.

У меня он был вручную установлен в папке plugins

Изменение, упоминание про которое я не нашел нигде: папка extensions в папке установки Firefox теперь не является папкой для глобально установленных расширений. Вместо нее используется папка browser\extensions (тоже в папке установки Firefox).

после этого забросил в папку plugins в папку browser и все появилось (путь browser\plugins).
Вот у меня перестал отображаться полный путь установленных плагинов хотя параметр plugin.expose_full_path установлен в true. Кто знает как с этим бороться?

Там вон куки по умолчанию менее шпионские стали, но нет, всё равно за okkamas_knife все следят)

okkamas_knife

а чтото про видеочат ничего не пишут?

Он отключён в Firefox 21. Bug 853106 - Disable WebRTC pref in Firefox 21

sk9 пишет:

Pippo78
http://kb.mozillazine.org/About:plugins
Т.е. в 21 смотреть в файле pluginreg.dat

sk9 спасибо за разъяснение, будем знать теперь!

okkamas_knife
Что не так, теперь по умолчанию принимает только с посещённых сайтов или вам от этого хуже стало и за вами следят ещё больше теперь?)

Взломали что ли форум? У меня в этой теме соединение зашифровано только частично, хотя все сторонние запросы заблокированы (в других топиках всё Ок...) :/

Tsepesh пишет:

После обновления до 21-й версии из списка плагинов пропал Windows Media Player Firefox Plugin.
Не то чтобы он был сильно нужен, просто неприятно, что он ушёл не попращавшись.
У кого тоже установлен этот плагин - проверьте, пожалуйста, как у Вас.

У меня тоже этот плагин отсутствует в списке. Удалял, ставил снова - всё равно не появился. Так же пропал из списка плагин QuickTime. Опять удалял, ставил по новой - в списке отсутствует. Теперь в Настройках [firefox] в Приложениях на медиа файлы у меня всего две возможности: показать в WMP и показать в Winamp. Значит теперь нет возможности слушать аудио и смотреть видео в окне браузера, так? Или что-то не так с моей установкой [firefox]? Кто-нибудь может объяснить что происходит?

okkamas_knife
Если вам так не нравится [firefox], то почему бы вам не забыть о его существовании и продолжать наслаждаться жизнью, используя [seamonkey]?

У меня Windows Media Player Firefox Plugin не исчез, исчез плагин от офиса.
Кстати, делал по инструкции (plugin.scan.WindowsMediaPlayer;999), он всё равно не исчезает.

enter42
Душа у него болит.

okkamas_knife пишет:

неужели настолько трудно грамотно сформулировать мысль?

Дольше.

okkamas_knife
Меня просто удивляет то, что человек, который сидит на [seamonkey], так переживает, что [firefox](!) будет за ним следить, в время, как он использует [seamonkey](!!).
А что бы вы не обвиняли меня в оффтопе, то скажу, что меня немного настораживает это API для социальных сетей. Кто нибудь использует его?

George Yves пишет:

Значит теперь нет возможности слушать аудио и смотреть видео в окне браузера, так?

Так проверь.
У меня вот пропал Shockwave for Director 10.2.0.22 , а у тебя такая удача - сам QuickTime .

Tsepesh пишет:

После обновления до 21-й версии из списка плагинов пропал Windows Media Player Firefox Plugin.
Не то чтобы он был сильно нужен, просто неприятно, что он ушёл не попращавшись.
У кого тоже установлен этот плагин - проверьте, пожалуйста, как у Вас.

ru-vadik пишет:

Да, пропал.

Pippo78 пишет:

У меня он был вручную установлен в папке plugins
после этого забросил в папку plugins в папку browser и все появилось (путь browser\plugins).

George Yves пишет:

У меня тоже этот плагин отсутствует в списке. Удалял, ставил снова - всё равно не появился.

Чудеса, да и только.
Я все эти версии прошел, правда в виде альф да бет, и ничего никуда не исчезало:
http://storage8.static.itmages.ru/i/13/0515/s_1368592105_4110172_271f7c7257.jpg
Единственно, что могу посоветовать: уже давно Фокс научен хватать плагины из папок приложений. Поэтому у кого проблемы с np-mswmp, попробуйте закинуть его в папку WMP. У меня он там сидит.

okkamas_knife пишет:

тем у кого проблемы с плагинами берём портабельный и проверяем на нём сначала как есть потом закинув дллки в папку дата\плюгинс

На portableapss'ных сборках сроду проблем с этим не было. А вот для инсталлированных (21+), это имеет смысл:

после этого забросил в папку plugins в папку browser и все появилось (путь browser\plugins).

Из нововведений -- privacy - remember history подразумевает включённую опцию accept third-party cookies или надо таки переходить в custom settings и там уже выключать?

Unplayed
Каким местом история с куками вообще взаимосвязаны?

okkamas_knife пишет:

ну неужели темы Вышел Firefox ХХ до сих пор не научили не спешить с обновлениями или хотябы делать бэкапы или предварительно тестить на портабельном например?

Вот с этим релизом у меня, как ни странно, ничего не отвалилось, даже плагины (один единственный flash) как лежали в папке plugins, так и лежат, а ведь другие пользователи переносят их в подкаталог browser... :cool:

Lain_13 пишет:

UnplayedКаким местом история с куками вообще взаимосвязаны?

Спросите у Mozilla Corporation. Настройки кук находятся именно в закладке privacy в группе history, и их контроль и настройки доступны только при выборе пользовательских настроек history.

Unplayed пишет:

privacy - remember history подразумевает включённую опцию accept third-party cookies

Да. По сравнению с Fx20 там ничего не изменилось.

Во избежании путаницы при очистке истории загрузок произведено объединение функций очистки историй веб-сёрфинга и загрузок (Bug 847627)

Homo Stupidus ?

Unplayed
А, я тебя не понял. :)
Да, патч выключающий third-party куки ещё не вышел из тестовых веток в финальную.

Товарищи! Дайте ссылку на Adobe.Flash.Player.10.3.183.75 только офф установочник! 11 версия просто валит лису напрочь!

Vietcongg
Adobe Flash Player Distribution

Статья по поводу отвалившихся плагинов и расширений:
http://www.ghacks.net/2013/05/15/why-you-may-have-lost-access-to-plugins-or-extensions-in-firefox-21/

2k1dmg пишет:

Vietcongg
Adobe Flash Player Distribution

Спасибо! Но я просил версию 10.3.183.75, а не 10.3.183.86 и при том офф установочник а не онлайн!

Vietcongg пишет:

2k1dmg пишет:

Vietcongg
Adobe Flash Player Distribution

Спасибо! Но я просил версию 10.3.183.75 и офф установочник!

Archived Flash Player versions

Удалил полностью версию 11, ставлю 10 и тут такая борода.....:(
http://i018.radikal.ru/1305/3f/40e3f2423a78t.jpg
Как быть? Я что то в недоумении мягко говоря.....

Vietcongg пишет:

Как быть?

Это тонкий намёк на то что почему бы не поставить последнюю.

Pony_Smile_Pack пишет:

У меня вот пропал Shockwave for Director 10.2.0.22

Да стоит спокойно. Правда версия 12.0.2.122....

vostok пишет:

Pony_Smile_Pack пишет:

У меня вот пропал Shockwave for Director 10.2.0.22

Да стоит спокойно. Правда версия 12.0.2.122....

Видимо поотключали старые версии без лишних разговоров.

Zaycoff пишет:

Взломали что ли форум? У меня в этой теме соединение зашифровано только частично, хотя все сторонние запросы заблокированы (в других топиках всё Ок...)

Клик по значку перед адресом и дополнение View Dependencies показывает

http://storage8.static.itmages.ru/i/13/0515/s_1368592105_4110172_271f7c7257.jpg
http://forum.mozilla-russia.org/uploaded/Facepalm.png

Pony_Smile_Pack пишет:

Это тонкий намёк на то что почему бы не поставить последнюю.

Вот поэтому то мне и нужен офф установщик,а мне все время попадается файл exe размером 2,5 м :(

Vietcongg пишет:

Pony_Smile_Pack пишет:

Это тонкий намёк на то что почему бы не поставить последнюю.

Вот поэтому то мне и нужен офф установщик,а мне все время попадается файл exe размером 2,5 м :(

Pippo78

Вот у меня перестал отображаться полный путь установленных плагинов хотя параметр plugin.expose_full_path установлен в true. Кто знает как с этим бороться?

Никак — разработчики решили, что вам это не нужно (Bug 835969).
Потом, правда, похоже, одумались и решили вернуть, но только в следующей версии (Bug 661961). А в этой, дорогие наши пользователи, вы уж как-нибудь так, долбитесь сами из угла в угол как рыба об лёд! :mad: :dumb:

okkamas_knife

зы думаю через неделю-полторы выйдет 21.01 исправляющая косяки релиза.

«Ууу, какие мы оптимисты!» ;)

KooL

Там вон cookies по умолчанию менее шпионские стали, но нет, всё равно за okkamas_knife все следят)

Разве уже? Тут пишут, что только с версии 22.

okkamas_knife

скрытый текст

cookies не могут быть более или менее шпионскими.
это все равно что писать что  пиксели стали менее голодными, например.

Шпионские cookies есть. Значит ли это, что и голодные пиксели существуют? :rolleyes:

Pony_Smile_Pack пишет:

Archived Flash Player versions

Дело в том, что все ссылки которые вы даете ведут к архивам того, что мне надо!
Но не совсем! Файл архива весит 61 метр, а распаковав его в нем все exe файлы не более 3-х метров!
Мне нужен офф установщик 19 метров примерно!

Vietcongg пишет:

Pony_Smile_Pack пишет:

Archived Flash Player versions

Дело в том, что все ссылки которые вы даете ведут к архивам того, что мне надо!
Но не совсем! Файл архива весит 61 метр, а распаковав его в нем все exe файлы не более 3-х метров!
Мне нужен офф установщик 19 метров примерно!

Вот что там внутри:
http://savepic.ru/4523493m.jpg
как бы заветные 19

limob пишет:

Клик по значку перед адресом и дополнение View Dependencies показывает

http://storage8.static.itmages.ru/i/13/0515/s_1368592105_4110172_271f7c7257.jpg
http://forum.mozilla-russia.org/uploaded/Facepalm.png

Неа.. это у Вас Facepalm.png по http, а у меня по httpS (пользуюсь принудительным https ) да и это явно не оно, т.к. эту картинку тут часто используют =)
Это не storage8.static.itmages.ru т.к. во первых у меня картинки по умолчанию отключены, а во вторых при помощи RequestPolicy заблокированы сторонние запросы... в общем, странный глюк именно на первой странице этого топика...

Zaycoff пишет:

Вот с этим релизом у меня, как ни странно, ничего не отвалилось

Накаркал блин... :sick:

Проверил в [firefox] 20.0.1 глюка нет, вот теперь думаю, то ли RequestPolicy отвалился, то ли HTTPS-Everywhere... ставлю на [firefox]...

Tsepesh пишет:

Статья по поводу отвалившихся плагинов и расширений:
http://www.ghacks.net/2013/05/15/why-you-may-have-lost-access-to-plugins-or-extensions-in-firefox-21/

Ну вот и разъяснили: "Эти плагины вам больше не нужны". Какие добрые дяденьки нашлись, знают что мне надо и чего не надо.

Ладно, это всё пустые разговоры. Сейчас видимо у всех разработчиков начался приступ болезни "мы-лучше-знаем-что-кому-нужно". С Авастом, например, та же история: хором им твердили, что не нужен им зачаточный Software Updater и огрызок от Adblock, а вот они их засунули в восьмую версию и теперь на форуме кучи жалоб разгребаем.

Вобщем, переключил я опцию plugins.load_appdir_plugins на true, перезапустил [firefox] и плагины вернулись.

1. Type about:config into the address bar and hit enter.
2. Confirm you will be careful if this is your first time opening the page.
3. Search for plugins.load_appdir_plugins and double-click the entry.

Или может лучше второй совет выполнить второй совет?

It is preferred though to move the plugins into the new folder instead.

Не подскажите как это сделать пошагово, так сказать? Я имею в виду плагины Windows Mediaplayer, QuickTime и Winamp Application Detector?

И личная просьба к okkamas_knife: все необходимые бэкапы у меня есть и обновляются регулярно, поэтому заканчивай троллить форум.

15-05-2013 22:34:11
И ещё одну проблему обнаружил - с прокруткой. На некоторых сайтах (например, Гугл Ридер или вот тут: http://fileforum.betanews.com/) отказывается работать прокрутка, если указатель мыши стоит на списке новостей (программ), но стоит сдвинуть указатель в сторону и убрать его со списка, как прокрутка оживает и начинает работать. На других сайтах со списками такого нет, вот например: http://www.portablefreeware.com/ . Это тоже в настройках что-то поменяли, как с плагинами?

George Yves пишет:

Или может лучше второй совет выполнить второй совет?

    It is preferred though to move the plugins into the new folder instead.

Не подскажите как это сделать пошагово, так сказать?

Папку Plugins нужно переместить в папку browser

plugins -> browser/plugins

(получиться что-то вроде этого C:\Program Files\Mozilla Firefox\browser\Plugins)
и все отвалившиеся плагины должны вернуться. Но сам я не пробовал и не буду этого делать потому как 99,99% в ближайшие дни выйдет обновление-исправление которое всё поставит на свои места.

enter42

Меня просто удивляет то, что человек, который сидит на [seamonkey], так переживает, что [firefox](!) будет за ним следить, в время, как он использует [seamonkey](!!).

Подозреваю, что у него депрессия, так как у SeaMonkey 2.18 вообще не будет. Железо совсем развалилось.

George Yves
Я то думал, что Firefox берет пути к плагинам из реестра? А вообще плагины кроме Flash ненужны. Да и Flash тоже скоро будет ненужен.

15-05-2013 23:26:40
Tsepesh

Но сам я не пробовал и не буду этого делать потому как 99,99% в ближайшие дни выйдет обновление-исправление которое всё поставит на свои места.

Хаха :lol:

Zaycoff
«Глобус» в https в 17, 19 и 21 Лисе, и только в этой теме. Упомянутых Вами расширений нет. В безопасном режиме то же самое.
Ясно, что это происки сторонников других браузеров.

banbot
Есть дополнения которые устанавлиявают плагины, причем сами dll находятся в папке профиля.

В https://bugzilla.mozilla.org/show_bug.cgi?id=872325#c3 разработчики Firefox намекнули, что те кто делал плагин для WMP - криворучки:

The WMP plugin is inserting itself into the Firefox application directory. We no longer load plugins from the application directory: they should be using registry-based installation. (WMP plugin also is completely unmaintained, from what we can tell).

You can use the "plugins.load_appdir_plugins" pref to alter this behavior for now, but it may be removed in a future release.

See bug 844553

15-05-2013 23:32:11
limob
У них было 3 месяца на исправление своих криворасширений

negodnik
На первой странице 2 файла-картинки которые при доступе по https передаются по http. Ссылки я дал выше.

15-05-2013 23:35:19
banbot
Дополнение lingoes ставится с сайта-разработчика потом устанавливает в папку профиля dll и добавляет его в [firefox] как плагин, очень удобный оффлайн переводчик+озвучка слов по наведению мыши на слово, куча словарей. Работает у меня сейчас. Служит для связи с самим переводчиком на компе.

negodnik пишет:

«Глобус» в https в 17, 19 и 21 Лисе, и только в этой теме. Упомянутых Вами расширений нет. В безопасном режиме то же самое.
Ясно, что это происки сторонников других браузеров.

Без дополнительных расширений у Вас и будет глобус, т.к. на странице есть запросы на сторонние ресурсы и притом эти запросы не по https.
Проблема в том, HTTPS-Everywhere должен принудительно переводить HTTP запросы внутри форума на HTTPS и он это делает т.к. http://forum.mozilla-russia.org/uploaded/Facepalm.png у меня (при просмотре его свойств) выглядит как https://forum.mozilla-russia.org/uploaded/Facepalm.png, видимо, какой-то глюк в парсинге страницы вылез и FF по барабану, что страница уже изменена и принудительно завёрнута на HTTPS =(

Добавил это в новость.

Zaycoff
Спасибо, буду знать.
А вот и «замочек» появился.

Vietcongg
А вам принципиально именно установщик? Может быть, вот такой вариант устроит?

George Yves

Какие добрые дяденьки нашлись, знают что мне надо и чего не надо. ...
Сейчас видимо у всех разработчиков начался приступ болезни "мы-лучше-знаем-что-кому-нужно".

Так и есть — это общая тенденция. (С LibreOffice то же самое.)

И ещё одну проблему обнаружил - с прокруткой.

Проблему подтверждаю. Но Grab and Drag пока работает (тьфу-тьфу-тьфу, ждём следующей версии Firefox :rolleyes:)

banbot

Подозреваю, что у него депрессия, так как у SeaMonkey 2.18 вообще не будет. Железо совсем развалилось.

Это что же, Seamonkey больше не будет? Просто ужасная новость, а я-то уже рассматривал его как возможного кандидата в случае, если ущерб от нового GUI Firefox окажется непоправимым.

А вообще плагины кроме Flash ненужны

Это кто решил?

Да и Flash тоже скоро будет ненужен

То-то мы это уже несколько лет слышим, да всё никак не дождёмся. Они там тоже, видать, все большие оптимисты.

Хаха :lol:

Да, это всё очень смешно. Просто смешнее некуда.

У них было 3 месяца на исправление своих криворасширений

Это же Microsoft!
Позволю себе, однако, в очередной раз напомнить очевидную, казалось бы, истину: циклы разработки у коммерческих разработчиков могут сильно отличаться от циклов разработки броузера, и произвольно его менять они могут не всегда. Как я и предсказывал ещё несколько лет назад, в очередной раз пострадали пользователи.
Моложцы! :mad:

Зачем SeaMonkey если есть Firefox ESR?

limob пишет:

Зачем SeaMonkey если есть Firefox ESR?

Есть, но через год всё-равно придётся переходить на [seamonkey]

MySh

Это что же, Seamonkey больше не будет? Просто ужасная новость, а я-то уже рассматривал его как возможного кандидата в случае, если ущерб от нового GUI Firefox окажется непоправимым.

Как починят, будет. 2.19.

Это кто решил?

Стив Джобс, когда не пустил его на iOS. И Adobe, который отказался развивать его для Android.

Позволю себе, однако, в очередной раз напомнить очевидную, казалось бы, истину: циклы разработки у коммерческих разработчиков могут сильно отличаться от циклов разработки броузера, и произвольно его менять они могут не всегда. Как я и предсказывал ещё несколько лет назад, в очередной раз пострадали пользователи.

Use ESR, Luke!

okkamas_knife пишет:

а пристальное внимание объясняется просто - любопытно какой ещё фортель выкинут разрабы и сколько ещё народа схавает это

Учитывая, что у SM движок тот же, что и у Fx (с запозданием на пару-тройку версий от релиза Fx), я бы интересовался несколько другими вещами.

hydrolizer
А с какой стати ему беспокоиться? Он как сидел на 2.14, так и будет на ней сидеть.

okkamas_knife
Если перейдёшь на 2.15 или выше — не забудь сказать мне широко улыбнуться и напомнить тебе о том, что ты вовсе не собирался обновляться, и это какая-то ошибка. Ок?
А то я могу забыть. :blush:

Lain_13 пишет:

Он как сидел на 2.14, так и будет на ней сидеть.

Помнится, энное время он аналогично так и впредь сидел на Fx 3.6.

okkamas_knife пишет:

для меня развитие СМ остановилось на этой версии, с 2.15 пошла деградация и новые версии после 2.16 я уже даже не качаю потестить ибо пустая трата времени да и зачем демонстрировать разрабам что ктото этим новьём пользуется.

И тут для вас все остановилось. :lol: А с SeaMonkey то что не так?

addons.mozilla.org и bugzilla.mozilla.org что-то отвалились. :sick:
Вообще все отвалилось с mozilla.org. Это только у меня так?

pohunohi пишет:

addons.mozilla.org и bugzilla.mozilla.org что-то отвалились. :sick:
Вообще все отвалилось с mozilla.org. Это только у меня так?

Да, только у тебя.

okkamas_knife пишет:

СМ 2.14

okkamas_knife пишет:

ФФ2

http://i251.photobucket.com/albums/gg315/ti2hmj/DoubleFacepalmRickerPicard.jpg


Замечание п.3.7
Sergeys

H.264 — уже старьё. С начала года в строю H.265. Когда его поддержку реализуют?

Когда появится хотя бы на ютубе.  Пока бумажный релиз же.

MySh пишет:

И ещё одну проблему обнаружил - с прокруткой.

Проблему подтверждаю. Но Grab and Drag пока работает (тьфу-тьфу-тьфу, ждём следующей версии Firefox :rolleyes:)

Значит, это не только у меня. Отлично. У кого-нибудь ещё тормозит или не работает прокрутка на списках?

George Yves пишет:

Значит, это не только у меня. Отлично. У кого-нибудь ещё тормозит или не работает прокрутка на списках?

Попробуйте поставить и настроить YASS - никаких проблем (включая упомянутый сайт), сплошное удобство и вообще блаженство.

SendSpam пишет:

Когда появится хотя бы на ютубе.  Пока бумажный релиз же.

а на каком известном сайте используют н264?

CoolCmd
В Контакте

17-05-2013 13:16:30
И вообще https://userscripts.org/scripts/show/87011

DarkHeavy
> H.264 — уже старьё. С начала года в строю H.265. Когда его поддержку реализуют?
Да кому он нужен? Покажи хоть один сайт на h265 или один браузер с его поддержкой.
Зато VP9 уже доступен для экспериментов в Google Chrome и скоро объявят стабилизацию протокола.
В данном случае h265 хоть и выкатили раньше, но уже опоздали.

p.s. В h265 сейчас никто ещё даже видео не рипает, а там свежие хорошие кодеки обычно первым делом оказываются.

Кстати,  господа заплаканные (не буду уж в никнеймы тыкать ;p ), объясните мне темному,  чем вас http://anton.kovalyov.net/2013/02/22/remote-profiling/ взъерошило?

Всем, им нужно, чтобы после 3.6 ничего не выпускалось, тогда бы они были счастливы.

Ребята, какк навсегда закрепить языковую панель в WINDOWS XP после установки FIREFOX 21? Метод с растяжкой трея как в 20-ой версии не работает.

Славыч
Что за языковая панель? Можно скриншот?

Славыч пишет:

Ребята, какк навсегда закрепить языковую панель в WINDOWS XP после установки FIREFOX 21? Метод с растяжкой трея как в 20-ой версии не работает.

http://savepic.ru/4561262.jpghttp://savepic.ru/4541806.jpg

Не помагает. Приходится после каждойзагрузки ОС лазить в Панель управления, в Язык и региональные стандарты-языки-Подробнее-Дополнительно и снимать галку с Выключить дополнительные текстовые службы.

Может стоит тогда в Багзиллу отправится и написать, как нужно делать браузеры?

KooL пишет:

Может стоит тогда в Багзиллу отправится и написать, как нужно делать браузеры?

Правдорубов нигде не любят, особенно разработчики, особенно те разработчики, которые и сами понимают, что загоняют лису в тупик, но продолжают это делать «улучшая» ради самого процесса улучшения...

Посмотрим, что ответят)

Vladimir_S

Попробуйте поставить и настроить YASS - никаких проблем

Вы совершенно правы! Всё дело в дополнениях для прокрутки.

George Yves
У вас установлены какие-нибудь расширения для плавной прокрутки? У меня оказалось виновато расширение SmoothWheel.

Zaycoff

Правдорубов нигде не любят, особенно разработчики, особенно те разработчики, которые и сами понимают, что загоняют лису в тупик, но продолжают это делать «улучшая» ради самого процесса улучшения...

Согласен. И что с этим делать?

MySh пишет:

И что с этим делать?

Не знаю, но вот Canonical знает... видимо, по их прикидкам [chromium] лучше того чем становится лиса... :sick:

Метался от версии к версии начиная с 18.02, но в конце концов пришел к выводу:
"Лучшее - враг хорошего"
Ни одна версия после 18.02 не работала у меня нормально!
То понос, то золотуха у каждой лисы случался!
Люблю все новое, но откатился опять на 18.02!
Лиса из юркого, надежного и простого зверька превращается в жирного, обрюзгшего,
пятиГлавого восьмиХрена.....

MySh пишет:

Vladimir_S

Попробуйте поставить и настроить YASS - никаких проблем

Вы совершенно правы! Всё дело в дополнениях для прокрутки.

George Yves
У вас установлены какие-нибудь расширения для плавной прокрутки? У меня оказалось виновато расширение SmoothWheel.

Ага. Суть вот в чем. Было два расширения-конкурента: YASS и SmoothWheel. При попытке их запуска в 21 версии еще в статусе Авроры выяснилось, что оба отвалились. Позднее YASS поправили, а SW, вероятно, нет. Впрочем, SW не проверял.

Vietcongg пишет:

Лиса из юркого, надежного и простого зверька превращается в жирного, обрюзгшего,

Всякие там 4 версии, 5, 6, 7, работали хуже и при этом умели меньше.

KooL пишет:

Всякие там 4 версии, 5, 6, 7, работали хуже и при этом умели меньше.

Лучше меньше, да лучше - В.И.Ленин ;)

Vietcongg
А больше, да лучше — ещё лучше.

MySh пишет:

Vladimir_S

Попробуйте поставить и настроить YASS - никаких проблем

Вы совершенно правы! Всё дело в дополнениях для прокрутки.

George Yves
У вас установлены какие-нибудь расширения для плавной прокрутки? У меня оказалось виновато расширение SmoothWheel.

Да, у меня как раз и стоит SmoothWheel. К счастью, менять одно расширение на другое не пришлось: автор выпустил фикс, который сейчас доступен на АМО (смотри историю версий), но пока не одобрено Мозиллой.

зря вы на лиса тяните, ... его просто подгоняют под средний уровень пользователей, ... а система образования из них делает полных дебилов.

okkamas_knife пишет:

а кто мешает выпускать нормальный браузер но с debil-mode?

Скорее всего то, что выпускают браузер для себя :D Ну ты понял, для ниже среднего уровня :) И с каждой версией уровень все ниже и ниже...

okkamas_knife пишет:

да,но раньше то нормальный делали.

Да, раньше деревья были выше, трава зеленее и солнце светило ярче... С ПО сейчас общая тенденция такая :/

Поздно, современные ОС и инструменты разработки старые компа не потянут.

Уважаемы, подскажите. Стоит ли подождать обновление с заплатками или в любом случае надо будет поработать ручками согласно:

Выделить код

Код:

Внимание! Следующие папки и файлы в каталоге установленного Firefox поменяли своё расположение по умолчанию:

    defaults/preferences -> browser/defaults/preferences
    defaults/profile -> browser/defaults/profile
    extensions -> browser/extensions
    plugins -> browser/plugins
    searchplugins -> browser/searchplugins
    override.ini -> browser/override.ini

Ну, я к тому чтоб не делать двойную работу.

Onstant Ritch
Перенос каталогов сделан для работы Metro-версии и отменять его не будут.

После обновления, лис начал сильно тормозить.
В консоле куча ошибок. Уже отключил js, но ошибки похоже в самом firefox.
У кого-нибудь такая же фигня происходит?

Открыл почту и хабр, результат в консоле

http://s019.radikal.ru/i641/1305/87/d79fbf248aaat.jpg

http://s42.radikal.ru/i098/1305/3b/54e056bf498bt.jpg

После обновления перестал работать скроллинг на некоторых сайтах. К примеру тут http://msdn.microsoft.com/ru-ru/ он работает только если навести курсор на полосу прокрутки. Как вернуть всё как было?

Raf-9600 пишет:

После обновления перестал работать скроллинг на некоторых сайтах. К примеру тут http://msdn.microsoft.com/ru-ru/ он работает только если навести курсор на полосу прокрутки. Как вернуть всё как было?

http://forum.mozilla-russia.org/viewtop … 37#p613237

Vladimir_S
Благодарю.
Виновен Yet Another Smooth Scrolling :(

Raf-9600 пишет:

Виновен Yet Another Smooth Scrolling

Очень странно.
У меня Yet Another Smooth Scrolling работает - корректно.

Garry McCoy пишет:

У меня Yet Another Smooth Scrolling работает - корректно.

Даже здесь? http://msdn.microsoft.com/ru-ru/

Raf-9600 пишет:

Даже здесь? http://msdn.microsoft.com/ru-ru/

Да.
Прежде чем публиковать своё сообщение, я именно эту страницу и проверил.

Garry McCoy
Ясно. Оказывается соль в том, что у меня дополнения автоматически не обновляются :(

Ктонить подскажет какие параметры в about:config нужно покрутить чтобы это исправить?

Vietcongg пишет:

Метался от версии к версии начиная с 18.02, но в конце концов пришел к выводу:
"Лучшее - враг хорошего"
Ни одна версия после 18.02 не работала у меня нормально!
То понос, то золотуха у каждой лисы случался!
Люблю все новое, но откатился опять на 18.02!
Лиса из юркого, надежного и простого зверька превращается в жирного, обрюзгшего,
пятиГлавого восьмиХрена.....

СПАСИБО!ТО-ТО Я СМОТРЮ ПОСЛЕДНИЕ ВЕРСИИ СТАЛИ НАСТОЛЬКО КРИВЫЕ ЧТО ОТКАЗАЛСЯ ОТ ОБНОВЛЕНИЯ С 20-ОЙ НА 21-Ю ВЕРСИЮ.
ОКАЗЫВАЕТСЯ ЭТО НЕ ТОЛЬКО У МЕНЯ.

А у большинства всё впорядке, только об этом никто не пишет.

KooL пишет:

А у большинства всё впорядке, только об этом никто не пишет.

знаешь просто привыкли мы каждый на свой лад так как нам нравиться, но найдется же истошная свинья. =)

20-05-2013 22:12:16

Raf-9600 пишет:

Оказывается соль в том, что у меня дополнения автоматически не обновляются

управление дополнениями - шестеренка

feas пишет:

управление дополнениями - шестеренка

Да, я так их только что и обновил. Но ведь они должны сами проверять наличие новой версии и самостоятельно обновляться. Или нет?... http://i46.fastpic.ru/big/2013/0520/19/cc89997c9bdaf8f383ff5a8a60b15019.gif

Raf-9600
http://s22.postimg.org/dtqgs9jwt/2013_05_20_2132502.jpg
Вот проверь, включено ли у тебя автоматическое обновление аддонов - плагинов ?!

Garry McCoy
У меня в каждом из дополнений, напротив "Автоматические обновление" выставлено "По умолчанию".

Raf-9600 пишет:

Но ведь они должны сами проверять наличие новой версии и самостоятельно обновляться. Или нет?...

По умолчанию должны, почему у вас сбилось, не имею понятия.
Обратите внимание на 2 последние пункты меню шестеренки. В предпоследней должна быть галочка.

feas пишет:

В предпоследней должна быть галочка.

Стоит. И всегда стояла. Но судя по всему, толк от неё исключительно визуальный http://i26.fastpic.ru/big/2011/0719/2b/fc34dc50ea144827810c667a06591c2b.gif

Raf-9600
Может быть Вы переключили extensions.update.enabled ?

negodnik пишет:

Может быть Вы переключили extensions.update.enabled ?

На данный момент этот параметр true, однако я вчера вечером сбрасывал многие параметры в которых есть слово update, так что может и этот тогда же сбросил http://i26.fastpic.ru/big/2011/0719/2b/fc34dc50ea144827810c667a06591c2b.gif Время покажет.

Lain_13 пишет:

DarkHeavy> H.264 — уже старьё. С начала года в строю H.265. Когда его поддержку реализуют?Да кому он нужен? Покажи хоть один сайт на h265 или один браузер с его поддержкой.Зато VP9 уже доступен для экспериментов в Google Chrome и скоро объявят стабилизацию протокола.В данном случае h265 хоть и выкатили раньше, но уже опоздали.p.s. В h265 сейчас никто ещё даже видео не рипает, а там свежие хорошие кодеки обычно первым делом оказываются.
                    Отредактировано Lain_13 (17-05-2013 19:02:57)

Дядька ты хотя бы в Википедии почитай в чём разница и почему H.265 круче. Да, то, что Гугл встроил поддержку кодека в браузер, это не плюс 265-му, т.к. Гугл просто будет делать хороший PR своему детищу. Но если VP9 будет более известным за счёт этого, это не значит, что он лучше. На сегодняшний день H.265 уже умеет то, что не умеет VP9.

Кроме того, за H.265 стоит МСЭ, а это не хухры-мухры. Значит, что кроме интернета, данный стандарт будет внедрятся повсеместно, в то время как VP9 будет использоваться в основном в продуктах Google и в остальные сферы ему будет трудновато пробиться.

А кто просвятит, что за дебильная политика инкрементирования только мажорной версии? Ребята-разработчики по ходу забыли (или не знают), что есть еще и минорные цифры в номере версии..
И это при том, что ничего особо в браузере не меняется, за то уже мля 21я версия.. Детский сад..

Меняется, списки изменений доступны всем. Минорные версии не нужны, потому что все наработки сразу вносятся в релиз вместе с фиксами.

И что? Релиз это смена мажорной версии что ли? Бред..

Просто кто то гонится по версиям за хромом (там вообще имбицилы по ходу версии инкрементят), а это полный бред..

ASheff пишет:

Релиз это смена мажорной версии что ли?

Да, минорный нет.

И советую ознакомиться: http://ru.wikipedia.org/wiki/Systemd

Так еж считать версии, тоже как-то бредово.

ASheff
А кого волнуют минорные цифры? Что эти цифры вообще означают кроме того, что вышла новая версия браузера?

23-05-2013 15:34:16
KooL
> Да, минорный нет.
Т.е. когда выходили секьюрити-фиксы с изменением в третьей цифре, то они не выходили? Ну-ну.

Lain_13 пишет:

А кого волнуют минорные цифры? Что эти цифры вообще означают кроме того, что вышла новая версия браузера?

Думаю многих..
Когда была версия например 3.6.13, было понятно, что с выходом 4й версии что то изменится кардинально, сейчас же инкремент мажорной версии вообще ничего не означает, лишь убогие попытки угнаться за хромом..

Lain_13
Да замучаешься объяснять просто.

ASheff
Короче, не считайте, это вредно для психического здоровья.

ASheff
> Думаю многих..
Не говори о себе во множественном числе. :P

Просто раньше была модель разработки «внезапная революция» и потому смена мажорной версии действительно несколько пугала — всё менялось. Теперь же это «эволюция по-расписанию» и теперь при смене версии думаешь лишь «о, фокс стал немного лучше». И знаешь, это действительно удобно.

Да да, типа того.. :)

okkamas_knife
С 4 версии ничего не отвалилось.

Узнайте про ESR.

okkamas_knife
For whom how. У меня почему-то все нужные мне дополнения как работали, так и работают. Один раз сбой был, когда все слетели, но вылечилось сносом настроек. У некоторых несколько кастом-кнопок отвалилось и всяческий ненужный мусор, ну так туда им и дорога.
Ты ещё скажи, что при переходе с 3.5 на 3.6 ни у кого ничего не отвалилось, а ведь «минорное» обновление.

Как уже не раз говорилось: если что-то не устраивает — сиди на ERS-ках. Пока следующая выйдет под неё всё важное обновят уже.

> ну и форум чтоль почитай, погугли "перестало работать" "отвалилось" итд итп
Дык если яйца дверью не защемляет люди и не кричат. Некоторым вот прищемило, их слышно. Я как-то значительно чаще замечают жалующихся на плагины.
Тебе показать тот выпуск xkcd про any update или сам найдёшь?

okkamas_knife пишет:

и кстати причём тут ESR? разговор про систему нумерации идёт.

Редко обновляется, редко отваливается, много изменений. Всё, как вы любите, кроме цифры.

Значит только цифры не дают покоя?

Решил установить Firefox, заметил, что во время установки браузера предлагается установить еще службу поддержки, чтобы можно было обновляться в фоновом режиме. Вопрос: для чего еще нужна эта служба и что будет, если ее не устанавливать?

Black_Angel пишет:

Решил установить Firefox, заметил, что во время установки браузера предлагается установить еще службу поддержки, чтобы можно было обновляться в фоновом режиме.

Эта служба нужна, чтобы можно было обновляться в фоновом режиме. Ваш КО (с) :D
А также чтобы обновление правильно выполнялось в том числе под учетными записями с ограниченными правами, которые не имеют прав на установку ПО.

Как же задолбала песня "Куда катится Firefox" чуть ли не в каждой теме. Предлагаю отвести под эту тему отдельный топик во Флейме, а за обсуждение подобного во всех прочих темах банить. Т.к. толку от этой темы ни теоретического, ни практического.

Они давно задумались, Jetpack задумку назвали, но оно, вроде, в зачаточном состоянии ещё.

KooL пишет:

Jetpack задумку назвали, но оно, вроде, в зачаточном состоянии ещё.

Ну, теперь это все безобразие наконец-то встроили, так что можно делать расширения на нем без копирования кучи файлов API.

Да вот покапался в нём и что-то как-то панель нельзя спозиционировать даже, либо рядом с кнопкой, либо по центру и мышкой перетаскивать нельзя. Веб-редактор какой-то совсем хиленький, почти блокнот. Установка сдк - целый квест... Всё скудно очень, в общем.

okkamas_knife
Вот как-раз тема «куда катится фуррифокс» действительно бессмысленна, а сообщения о проблемах с новой версией смысл имеют, да.

Случайно заметил, что пропал пункт "Стереть недавнюю историю" из меню "Инструменты". Это ведь в этой версии убрали?

Upd. Разобрался - перенесли в "Журнал".

Strel
Не убрали, а перенесли в «Журнал».

Strel пишет:

Случайно заметил, что пропал пункт "Стереть недавнюю историю" из меню "Инструменты". Это ведь в этой версии убрали?

http://savepic.ru/4527966m.jpg

Pony_Smile_Pack
А ещё Ctrl+Shift+Delete, что работает в любом браузере.

hydrolizer пишет:

Как же задолбала песня "Куда катится Firefox" чуть ли не в каждой теме. Предлагаю отвести под эту тему отдельный топик во Флейме, а за обсуждение подобного во всех прочих темах банить. Т.к. толку от этой темы ни теоретического, ни практического.

Ага правильно.
"Лучше в резервацию таких людей.Давайте тех кто высказывает свои опасения,огорчения,недовольство,досаду по поводу современного Firefox банить на корню.
А тем кто поёт хвалебные оды призы выдавать."

Хочу все цело поддержать тех кто искренне разочарован не очень хорошей тенденцией в плане преобразования нашего любимого браузера.
Что именно не нравится говорить не буду ибо спорить смысла нет.Тенденция к сожалению очень серьёзная и не приятная скорее всего многие из нас
скоро бросят FF.Я например если ни что не изменится буду сидеть на 17 или 20 версии до тех пор пока страницы не перекосит.Устал обновляться каждые 6 недель(бред)
и неделю после этого пытаться решить всякого рода проблемы возникших после обновления.

К сожалению деньги решают всё.Вы поняли о чём я.

questman
Попробуйте использовать только те дополнения, разработчики которых думают о совместимости с новыми версиями. Вы будете удивлены.

okkamas_knife пишет:

ага человек удивится насколько урезался функционал ФФ

Функционал наоборот увеличивается:rolleyes:
раньше использовал 40 дополнения а сейчас обхожусь 24-мя

Мозилкин пишет:

Функционал наоборот увеличивается:rolleyes:
раньше использовал 40 дополнения а сейчас обхожусь 24-мя

Это как, моя не понимайт?!
Зато мая понимайт такое http://www.andyhalford.com/ И таких разработчиков всё больше и больше, просто не все идут на такой открытый демарш.

БОльшая часть разработчиков дополнений для ff, это молодые программисты иногда студенты, которые хотят попробовать свои силы в разработке и продвижении продукта, но со временем они устраиваются на приличную работу в серьёзные организации, заводят семью, появляется иной круг интересов и тратить своё время на поддержание постоянно отваливающегося дополнения у них просто нет возможности. Одни обновляют их от случая к случаю, а  другие забивают на разработку не приоритетных продуктов...

Некоторые пользователи сейчас начнут уверять, что если дополнение действительно популярное и нужное, то его обязательно поправит и обновит сообщество, но таких дополнений раз-два и обчёлся и авторы их, как правило, не бросают, т.к. с них идёт какой-никакой донат.
А вот специфичные дополнения обновляются очень редко и неохотно, например, Dictionary Switcher полезная штука для переключения словарей проверки орфографии, последний раз обновлялось более года назад, автор жив и даже отвечает на обращения, но вот поправить дополнения, так, чтобы оно начало работать со словарями type 64, у него либо нет времени, либо чего-то ещё, и он предлагает править не дополнение, а словари, так, что ни становятся не джетпаками, а обычными, но хоть что-то...
По идее, как пишет автор, это баг не дополнения, а FF, ещё с 6-й версии, но разрабы пилят всё что угодно (прибивают гвоздями кнопки, удаляют поддержку старых фич и т.п.), кроме исправления багов. Многие тараканы тянутся чуть-ли не с 1-й версии, но исправлять их никто не хочет...

Но оно и понятно...
Представьте диалог на студенческой пьянке:
- Я сёдня АвстраЛиса запилил!
- Эта чо?
- Во смотри, какая тема для лисы!
- Вау! Круть!

Другой диалог:
- Я сегодня выпилил из движка лисы E4X
- Эта чо?
- Это то, на чём было написана куча кнопок в лисе.
- Так это ты та с****чь, которая мне все кнопки поломала???! На, получай в ухо!

Неудивительно, что копаться в кишках лисы никто не хочет, возни много, а профит, в виде внимания девочек, минимален =)

okkamas_knife пишет:

человек удивится, насколько урезался функционал

Ну-ну, при переходе на другой браузер функционал явно будет шире…

Lain_13

Дык если яйца дверью не защемляет люди и не кричат. Некоторым вот прищемило, их слышно. Я как-то значительно чаще замечают жалующихся на плагины.

Посмотрим, что будет после выхода версии 25.

okkamas_knife

а такое что хочу я на ФФ сидеть но не могу изза того что они с ним сделали и делают.
Раньше я только радовался обновлениям тут баг пофиксили тут оптимизировали тут фичу сделали реально удобнее а сейчас слово обновление вызывает судорожные попытки забэкапиться,я хочу ФФ тот чтобыл раньше в плане того чтоб обновления не рушили его чтоб при обновлении я замечал не новые за какимто фигом впиленные рюшечки а то что он стал меньше жрать памяти,быстрее работать,интерфейс тот что я сделал не ломался,чтоб я имел больше контроля как за броузером так и за содержимым.и мне обидно что ради этого приходится сидеть на СМ да ещё и на старой версии.

С определёнными оговорками готов подписаться под этим абзацем.

questman

Тенденция к сожалению очень серьёзная и не приятная скорее всего многие из нас
скоро бросят FF.Я например если ни что не изменится буду сидеть на 17 или 20 версии до тех пор пока страницы не перекосит

Надеюсь, что до 24-й версии включительно ничего капитально не поломают, а 24 версия будет ESR, то есть ещё где-то около года можно будет продержаться. А вот дальше, да, нужно думать. Пока эмигрировать особо некуда.

Устал обновляться каждые 6 недель(бред)

На самом деле, обновления, закрывающие уязвимости и добавляющие поддержку новых web-стандартов вполне себе нужны. Но хотелось бы, чтобы они минимально влияли на работу дополнений и никак или почти никак на интерфейс, но вот с этим-то как раз всё больше и больше проблем.

okkamas_knife

скоро у фф пока только одно преимущество останется это настраиваемость интерфейса и то не факт что гугл подумает и вкорячит в хром и эту фичу.

Если Chrome можно будет настраивать также гибко, как Firefox, я, скорее всего, на него перейду. Но пока что движение идёт в обратную сторону.

MySh пишет:

Если Chrome можно будет настраивать также гибко, как Firefox

Конечно скоро сделают. А еще расширения такие же функциональные. И начнется у хомячков каждые шесть недель, то же самое что и в лисе. :lol:
Вы думаете они хромог такой деревянный и убогий просто так сделали?

Кстати. Кто-нибудь заметил что в последнее время, стало намного меньше жалоб после выхода новых версий? Новые версии стали менее глючными? Или может количество криворуких хомячков уменьшилось.

Устали кричать и обновляться.

MySh пишет:

Надеюсь, что до 24-й версии включительно ничего капитально не поломают, а 24 версия будет ESR, то есть ещё где-то около года можно будет продержаться.

Те же мысли.

MySh пишет:

Пока эмигрировать особо некуда.

Если разраб PaleMoon осилит новые версии FF в старом стиле делать (как он сейчас это делает, например в FF 21 отвалилась пара расширений, а в последнем PM они работают), тогда на него окончательно перейду. Если нет, тогда только QupZilla остаётся, имхо.

Может быть спрошу не совсем в тему, но всё же. Последние несколько недель регулярно в FF наблюдаю ошибку синхронизации. В настройках использую синхронизацию вкладок, дополнений и т.д. с серверами FF. Не понимаю с чем связана эта ошибка, раньше такого не было. Или же сервера синхронизации FF стали настолько глючные, что не выдерживают нагрузки?
Отказываться от синхронизации очень не хочу, ибо это удобно, работая на разных компьютерах, но регулярно выползающая ошибка синхронизации весьма напрягает. Это можно как-то исправить? Пробовал создать новую учетную запись для синхронизации - не помогло.
P.S. Или может быть есть стороннее дополнение для FF, выполняющее аналогичную функцию синхронизации с сервером (облаком)?

Hobbix Xmarks Sync.

Объясните вот это:

В случае необходимости Firefox теперь будет предлагать пути по уменьшению времени и повышению скорости своего запуска

Водкотерапевт
Если почует что он медленно запускается, будет сообщать об этом со ссылкой вроде на https://support.mozilla.org/en-US/kb/fi … -it-faster

вышел 21 ура
опять отвалились   дополнения,я всегда радуюсь новым версиям,это  такое приключение!
вот как мне теперь  заиметь "Find In Tabs" если это Г21 его не устанавливает

вот как мне теперь  заиметь "Find In Tabs"

selevo , FindBar Tweak :angel:

блаuодарю
но что-то очень криво ищет...
слово как  минимум в 10 вкладках есть такое
а он показывает на текущей только.
причём  для чего-то выдаёт какой-то не полный список   других вкдадок с хитами 0
'Find in alll tabs'  нажата при этом
вообще не понятно как  работает расширение.

selevo пишет:

блаuодарю но что-то очень криво ищет...слово как  минимум в 10 вкладках есть такоеа он показывает на текущей только.причём для чего-то выдаёт какой-то не полный список других вкдадок с хитами 0'Find in alll tabs' нажата при этом вообще не понятно как  работает расширение.

Разработчик тут: quicksaver@gmail.com , вполне себе отвечает и довольно активно сейчас допиливает FBT. Английский даже мой понимает, родной у него испанский, как я понимаю. Стучитесь..

У меня перестал работать плагин для блокировки всех окон или одного. Еще с предыдущей версии. Master password+ 1.21.2. Мастер пароль запрашивает, а блокировка окон не работает.

rummer
http://code.google.com/p/masterpassword … p;sort=-id